Add New Technologies to a Control and Section

POST /pcas/v3/policy/section/control/technology/

With this API, you can add new technologies for a specific control within the policy section.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer Enter the ID of the policy for which you want to add
technologies within a section.
sectionNumber={value} Required Integer Enter the section number for which you want to add technologies.
controlId={value} Required Integer Enter the ID of the control within a specific policy section
where the technologies needs to be added.
technologyIds={value} Required Integer List Enter valid technology IDs in a list format to be added.

Sample - Add technology to a controlSample - Add technology to a control

API Request

curl -X 'POST' \
'http://<Base URL>/pcas/v3/policy/section/control/technology' \
-H 'accept: */*' \
-H 'Authorization: Bearer <Auth Token>' \
-H 'Content-Type: application/json' \
-d '{
"policyId": 5656121,
"sectionNumber": 1,
"controlId": 1048,
"technologyIds": [
54
]
}'

XML Output

[
 {
  "technologyId": 18,
  "technologyName": "Windows Vista"
 },
 {
  "technologyId": 54,
  "technologyName": "Windows 8"
 }
]


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.